glab(1)

NAME

glab-repo-create - Create a new GitLab project/repository.

SYNOPSIS

glab repo create [path] [flags]

DESCRIPTION

Create a new GitLab project/repository.

OPTIONS

--defaultBranch=""
    Default branch of the project. If not provided, master by default.

-d, --description=""
    Description of the new project

-g, --group=""
    Namespace/group for the new project (defaults to the current user’s namespace)

--internal[=false]
    Make project internal: visible to any authenticated user (default)

-n, --name=""
    Name of the new project

-p, --private[=false]
    Make project private: visible only to project members

-P, --public[=false]
    Make project public: visible without any authentication

--readme[=false]
    Initialize project with README.md

--remoteName="origin"
    Remote name for the Git repository you're in. If not provided, origin by default.

-t, --tag=[]
    The list of tags for the project.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE
    # create a repository under your account using the current directory name
    $ glab repo create
    # create a repository under a group using the current directory name
    $ glab repo create --group glab-cli
    # create a repository with a specific name
    $ glab repo create my-project
    # create a repository for a group
    $ glab repo create glab-cli/my-project

SEE ALSO

glab-repo(1)